<?php
/**
 * Template is used to display archive posts, e.g. tag post indexes and it is also the fallback template to 'category.php'.
 *
 * @package AEMON
 * @since AEMON 1.0
 */

get_header();
?>

<?php
if ( true === get_theme_mod( 'aemon_theme_archive_sidebar', true ) ) {
	$aemonArchiveDisplay = 'g-wide--3';
}
else {
	$aemonArchiveDisplay = 'g-medium--full g-wide--full';
}
?>
<div <?php post_class('container'); ?> id="post-<?php the_ID(); ?>">
	<div class="<?php echo $aemonArchiveDisplay; ?>">
		<h2><?php printf( esc_html__( 'Archive', 'aemon' ) ); ?></h2>
		<?php
		if ( have_posts() ) :
			while ( have_posts() ) : the_post();
				get_template_part( 'template/content', 'blog' );
			endwhile;
			// Display Pagination.
			aemon_pagination();
		else :
			get_template_part( 'template/content', 'none' );
		endif; ?>
		</div>
		<?php if ( true === get_theme_mod( 'aemon_theme_archive_sidebar', true ) ) :?>
		<div class="aemon-sidebar g-wide--1 g-wide--last">
			<?php dynamic_sidebar('sidebar-widget-area'); ?>
		</div>
	<?php endif; ?>
	<div class="clear"></div>
</div>

<?php get_footer(); ?>
