<?php
/**
 * Archive pages template.
 *
 * @package Aemon
 */

get_header();
?>

<?php
if ( true === get_theme_mod( 'aemon_theme_author_sidebar', true ) ) {
	$aemonSingleDisplay = 'g-wide--3';
}
else {
	$aemonSingleDisplay = 'g-medium--full g-wide--full';
}
?>
<div <?php post_class('container'); ?> id="post-<?php the_ID(); ?>">
	<div class="<?php echo $aemonSingleDisplay; ?>">
		<div class="author-section">
		<?php aemon_author_fullname(); ?>
		<?php aemon_short_about_author(); ?>
		<?php if ( have_posts() ) : ?>
			<h6> <?php sprintf( 'Posts by %1$s:' , get_the_author() );  ?> </h6>
			<ul class="author-posts">
			<?php while ( have_posts() ) : the_post(); ?>
			<?php the_title('<li><a href="' . esc_url( get_permalink() ) . '">', '</a></li>'); ?>
			<?php endwhile; ?>
			</ul>
			<?php
				the_posts_pagination( array(
			   'prev_text' => esc_attr__( '&laquo;', 'aemon' ),
				 'next_text' => esc_attr__( '&raquo;', 'aemon' ),
				) );
			?>
			<?php else : ?>
				<p><?php esc_html_e( 'No posts by this author.', 'aemon' ); ?></p>
			<?php endif; ?>
		</div>
	</div>
	<?php if ( true === get_theme_mod( 'aemon_theme_author_sidebar', true ) ) :?>
		<div class="aemon-sidebar g-wide--1 g-wide--last">
		<?php dynamic_sidebar('sidebar-widget-area'); ?>
		</div>
	<?php endif; ?>
	<div class="clear"></div>
</div>

<?php get_footer(); ?>
