<?php
/**
 * Creating constant for the theme relative path.
 */
	if ( !defined( 'AEMON_DIR_URI' ) ) {
		define( 'AEMON_DIR_URI', get_template_directory_uri() . '/' );
	}

/**
 * Creating constant for the theme absolute path.
 */
	if ( !defined( 'AEMON_DIR' ) ) {
		define( 'AEMON_DIR', get_template_directory() . '/' );
	}

	require_once( AEMON_DIR . 'include/customizer.php' );
	require_once( AEMON_DIR . 'include/aemon-methods.php' );

	add_action( 'wp_ajax_aemon_submit_contact_form', 'mv_sports_aemon_submit_contact_form' );
	add_action( 'wp_ajax_nopriv_aemon_submit_contact_form', 'mv_sports_aemon_submit_contact_form' );
	add_action( 'wp_enqueue_scripts', 'aemon_scripts' );
	add_action( 'wp_enqueue_scripts', 'aemon_styles' );
	add_action( 'customize_preview_init', 'aemon_customizer_live' );

/**
 * Creating customizer live controls.
 */
	function aemon_customizer_live() {
    wp_enqueue_script( 'aemon_customizer_live_control', AEMON_DIR_URI . 'scripts/customizer-live.js', array( 'jquery', 'customize-preview' ), true );
  }

/**
 * Enqueuing styles
 */
	function aemon_styles() {
		wp_enqueue_style( 'aemon_bootstrap_fa', AEMON_DIR_URI . 'styles/bootstrap_fa.min.css' );
		wp_enqueue_style( 'aemon_flexslider', AEMON_DIR_URI . 'styles/flexslider.css' );
		wp_enqueue_style( 'aemon_owl_carousel', AEMON_DIR_URI . 'styles/owl.carousel.css' );
		wp_enqueue_style( 'aemon_components', AEMON_DIR_URI . 'styles/components/components.css' );
		wp_enqueue_style( 'aemon_main', AEMON_DIR_URI . 'styles/main.css' );
		wp_enqueue_style( 'aemon_fractionslider', AEMON_DIR_URI . 'styles/fractionslider.css' );
		wp_enqueue_style( 'aemon_custom', AEMON_DIR_URI . 'styles/custom.css' );
		wp_enqueue_style( 'aemon_style', AEMON_DIR_URI . 'style.css' );
	}

/**
 * Enqueuing scripts
 */
	function aemon_scripts() {
		wp_enqueue_script( 'jquery');
		wp_enqueue_script( 'aemon_js_main', AEMON_DIR_URI . 'scripts/main.js', array(), true );
		wp_enqueue_script( 'aemon_js_carousel', AEMON_DIR_URI . 'scripts/owl.carousel.js', array(), true );
		wp_enqueue_script( 'aemon_js_isotope', AEMON_DIR_URI . 'scripts/jquery.isotope.min.js', array('jquery'), true );
		wp_enqueue_script( 'aemon_js_imageLens', AEMON_DIR_URI . 'scripts/jquery.imageLens.js', array('jquery'), true );
		wp_enqueue_script( 'aemon_js_totop', AEMON_DIR_URI . 'scripts/jquery.ui.totop.js', array('jquery'), true );
		wp_enqueue_script( 'aemon_js_sticky', AEMON_DIR_URI . 'scripts/jquery.sticky.js', array('jquery'), true );
		wp_enqueue_script( 'aemon_js_countTo', AEMON_DIR_URI . 'scripts/jquery.countTo.js', array('jquery'), true );
		wp_enqueue_script( 'aemon_js_scrollTo', AEMON_DIR_URI . 'scripts/jquery.scrollTo-1.4.3.1.min.js', array(), true );
		wp_enqueue_script( 'aemon_js_parallax', AEMON_DIR_URI . 'scripts/parallax.js', array(), true );
		wp_enqueue_script( 'aemon_js_nicescroll', AEMON_DIR_URI . 'scripts/jquery.nicescroll.min.js', array('jquery'), true );
		wp_enqueue_script( 'aemon_js_fractionslider', AEMON_DIR_URI . 'scripts/jquery.fractionslider.js', array('jquery'), true );
		wp_enqueue_script( 'aemon_js_easing', AEMON_DIR_URI . 'scripts/easing.js', array(), true );
		wp_enqueue_script( 'aemon_js_retina', AEMON_DIR_URI . 'scripts/retina.min.js', array(), true );
		wp_enqueue_script( 'aemon_js_custom', AEMON_DIR_URI . 'scripts/custom.js', array('jquery'), true );
		wp_enqueue_script( 'aemon_js_cont_ajax', AEMON_DIR_URI . 'scripts/contact-form-ajax.js', array('jquery'), true );

		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
			wp_enqueue_script( 'comment-reply' );
		}

		// Localizing scripts.
		wp_localize_script( 'aemon_customizer_live_control', 'aemon_live', array(
			'team_img_count' => get_theme_mod('aemon_team_add_member', '5')
		));
		wp_localize_script( 'aemon_js_cont_ajax', 'aemonContactForm', array(
		'ajaxurl' => admin_url( 'admin-ajax.php' ),
		));
	}


/**
 *
 *
 */

	function mv_sports_aemon_submit_contact_form() {
		if ( isset( $_POST['username'] ) && isset( $_POST['email'] ) && isset( $_POST['phone'] ) && isset( $_POST['budget'] ) && isset( $_POST['message'] ) ) {

				$to = 'ab431227@gmail.com'; // chenge with daniel@moodhouse.se
				$subject = 'Aemon Contact Form Message';

				$contactFormMsg  = '<b>' . esc_html__( 'Name: ', 'aemon' ) . '</b> ' .  sanitize_text_field( wp_unslash( $_POST['username'] ) ) . '<br />';
				$contactFormMsg .= '<b>' . esc_html__( 'Email: ', 'aemon' ) . '</b> ' .  sanitize_text_field( wp_unslash( $_POST['email'] ) ) . '<br />';
			  $contactFormMsg .= '<b>' . esc_html__( 'Phone: ', 'aemon' ) . '</b>' .  sanitize_text_field( wp_unslash( $_POST['phone'] ) ). '<br />';
			  $contactFormMsg .= '<b>' . esc_html__( 'Budget:', 'aemon' ) . '</b> ' . sanitize_text_field( wp_unslash( $_POST['budget'] ) ). '<br />';

			  $contactFormMsg .= '<b>' . esc_html__( 'Message Body:', 'aemon' ) . '</b> ' .  sanitize_text_field( wp_unslash( $_POST['message'] ) ) . '<br />';
			  // Set the form headers.
			  $headers = 'From: ' . sanitize_text_field( wp_unslash( $_POST['username'] ) ) . ' <' . is_email( $_POST['email'] ). '>' . "\r\n";

			if ( wp_mail( $to, $subject, $contactFormMsg, $headers ) ) {
				echo 'Email has been sent';
			} else {
				echo 'Email is not Send.';
			}
		}
		wp_die();
	}
?>
