<?php
/**
 * Main Template for page.
 *
 * @package AEMON
 * @since AEMON 1.0
 */

get_header();
?>

<?php
if ( true === get_theme_mod( 'aemon_theme_singPage_sidebar', true ) ) {
	$aemon_page_display = 'g-wide--3';
}
else {
	$aemon_page_display = 'g-medium--full g-wide--full';
}
?>
<div <?php post_class('container'); ?> id="post-<?php the_ID(); ?>">
	<div class="<?php echo $aemon_page_display; ?>">
	<?php the_title('<h1 class="page-title">', '</h1>'); ?>
	<?php
		aemon_post_meta_author();
		aemon_post_meta_date();

		if ( have_posts() ) : the_post(); ?>
			<div class="single-thumbnail">
				<img src="<?php echo esc_url( the_post_thumbnail_url() ); ?>" alt="">
			</div>
			<div class="main-content">
			<?php the_content(); ?>
			</div>
			<?php endif; ?>
	</div>
	<?php if ( true === get_theme_mod( 'aemon_theme_singPage_sidebar', true ) ) :?>
		<div class="aemon-sidebar g-wide--1 g-wide--last">
		<?php dynamic_sidebar('sidebar-widget-area'); ?>
		</div>
	<?php endif; ?>
	<div class="clear"></div>
	<?php if ( comments_open() || '0' !== get_comments_number() ) { comments_template(); } ?>
</div>
<div class="clear"></div>

<?php get_footer(); ?>
