/**
 *
 *  Web Starter Kit
 *  Copyright 2014 Google Inc. All rights reserved.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License
 *
 */
 

"use strict";
var navdrawerContainer = document.querySelector('.navContainer');
var appbarElement = document.querySelector('header');

var menuBtn = document.querySelector('.menu');

if (menuBtn) {
	menuBtn.addEventListener('click', function() {
		var isOpen = navdrawerContainer.classList.contains('open');
		if(isOpen) {
			appbarElement.classList.remove('open');
			navdrawerContainer.classList.remove('open');
		} else {
			appbarElement.classList.add('open');
			navdrawerContainer.classList.add('open');
		}
	}, true);
}

//form validation code
var inputs = document.getElementsByTagName("input");
var inputs_len = inputs.length;
var addDirtyClass = function(evt) {
	//sampleCompleted("Forms-order-dirty");
	evt.srcElement.classList.toggle("dirty", true);
};
for (var i = 0; i < inputs_len; i++) {
	var input = inputs[i];
	input.addEventListener("blur", addDirtyClass);
	input.addEventListener("invalid", addDirtyClass);
	input.addEventListener("valid", addDirtyClass);
}

var textareas = document.getElementsByTagName("textarea");
var textareas_len = textareas.length;
var addDirtyClass = function(evt) {
	//sampleCompleted("Forms-order-dirty");
	evt.srcElement.classList.toggle("dirty", true);
};
for (var i = 0; i < textareas_len; i++) {
	var textarea = textareas[i];
	textarea.addEventListener("blur", addDirtyClass);
	textarea.addEventListener("invalid", addDirtyClass);
	textarea.addEventListener("valid", addDirtyClass);
}

