<?php
/**
 * Template for single post.
 *
 * @package AEMON
 * @since AEMON 1.0
 */

get_header();
?>

<?php
if ( true === get_theme_mod( 'aemon_theme_singPost_sidebar', true ) ) {
	$aemonSingleDisplay = 'g-wide--3';
}
else {
	$aemonSingleDisplay = 'g-medium--full g-wide--full';
}
?>
<div <?php post_class('container'); ?> id="post-<?php the_ID(); ?>">
	<div class="<?php echo $aemonSingleDisplay; ?>">
	<?php the_title('<h1 class="page-title">', '</h1>'); ?>
	<?php
		aemon_post_meta_author();
		aemon_post_meta_date();
	?>
	<?php
	if ( have_posts() ) : the_post(); ?>
		<div class="single-thumbnail">
			<img src="<?php echo esc_url( the_post_thumbnail_url() ); ?>" alt="">
		</div>
		<div class="main-content">
		<?php
			the_content();
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'aemon' ),
				'after'  => '</div>',
			) );
		?>
		<?php if ( comments_open() || '0' != get_comments_number() ) { comments_template(); } ?>
		</div>
	<?php endif; ?>
	</div>
	<?php if ( true === get_theme_mod( 'aemon_theme_singPost_sidebar', true ) ) :?>
		<div class="aemon-sidebar g-wide--1 g-wide--last">
		<?php dynamic_sidebar('sidebar-widget-area'); ?>
		</div>
	<?php endif; ?>
	<div class="clear"></div>
</div>
<div class="clear"></div>

<?php get_footer(); ?>
